Loading...
Searching...
No Matches
piola_fem_rep< T >abstract

## Detailed Description

template<class T>
class rheolef::piola_fem_rep< T >

Definition at line 51 of file piola_fem.h.

Inheritance diagram for piola_fem_rep< T >:

## Public Types

typedef T | value_type
typedef point_basic< T >::size_type | size_type

## Public Member Functions

| piola_fem_rep ()
virtual | ~piola_fem_rep ()
virtual std::string | name () const =0
virtual bool | transform_need_piola () const
virtual void | transform (const piola< T > &p, const T &hat_u, T &u) const
virtual void | inv_transform (const piola< T > &p, const T &u, T &hat_u) const
virtual void | grad_transform (const piola< T > &p, const T &hat_u, const point_basic< T > &hat_grad_u, const details::differentiate_option &gopt, point_basic< T > &grad_u) const
virtual void | transform (const piola< T > &p, const point_basic< T > &hat_u, point_basic< T > &u) const
virtual void | inv_transform (const piola< T > &p, const point_basic< T > &u, point_basic< T > &hat_u) const
virtual void | grad_transform (const piola< T > &p, const point_basic< T > &hat_u, const tensor_basic< T > &hat_grad_u, const details::differentiate_option &gopt, tensor_basic< T > &grad_u) const
virtual void | transform (const piola< T > &p, const tensor_basic< T > &hat_u, tensor_basic< T > &u) const
virtual void | inv_transform (const piola< T > &p, const tensor_basic< T > &u, tensor_basic< T > &hat_u) const
virtual void | grad_transform (const piola< T > &p, const tensor_basic< T > &hat_u, const tensor3_basic< T > &hat_grad_u, const details::differentiate_option &gopt, tensor3_basic< T > &grad_u) const
virtual void | transform (const piola< T > &p, const tensor3_basic< T > &hat_u, tensor3_basic< T > &u) const
virtual void | inv_transform (const piola< T > &p, const tensor3_basic< T > &u, tensor3_basic< T > &hat_u) const
virtual void | grad_transform (const piola< T > &p, const tensor3_basic< T > &hat_u, const tensor4_basic< T > &hat_grad_u, const details::differentiate_option &gopt, tensor4_basic< T > &grad_u) const
virtual void | transform (const piola< T > &p, const tensor4_basic< T > &hat_u, tensor4_basic< T > &u) const
virtual void | inv_transform (const piola< T > &p, const tensor4_basic< T > &u, tensor4_basic< T > &hat_u) const

## Member Typedef Documentation

## value_type

template<class T >

typedef T value_type

Definition at line 53 of file piola_fem.h.

## size_type

template<class T >

typedef point_basic<T>::size_type size_type

Definition at line 54 of file piola_fem.h.

## Constructor & Destructor Documentation

## piola_fem_rep()

template<class T >

piola_fem_rep | ( |  | ) |

Definition at line 55 of file piola_fem.h.

## ~piola_fem_rep()

template<class T >

virtual ~piola_fem_rep | ( |  | ) |

virtual

Definition at line 56 of file piola_fem.h.

## Member Function Documentation

## name()

template<class T >

virtual std::string name | ( |  | ) | const

pure virtual

Implemented in piola_fem_hdiv< T >, and piola_fem_lagrange< T >.

## transform_need_piola()

template<class T >

virtual bool transform_need_piola | ( |  | ) | const

virtual

Reimplemented in piola_fem_lagrange< T >.

Definition at line 59 of file piola_fem.h.

## transform() [1/5]

template<class T >

virtual void transform | ( | const piola< T > & | p,
|  | const T & | hat_u,
|  | T & | u
| ) |  | const

virtual

## inv_transform() [1/5]

template<class T >

virtual void inv_transform | ( | const piola< T > & | p,
|  | const T & | u,
|  | T & | hat_u
| ) |  | const

virtual

## grad_transform() [1/4]

template<class T >

virtual void grad_transform | ( | const piola< T > & | p,
|  | const T & | hat_u,
|  | const point_basic< T > & | hat_grad_u,
|  | const details::differentiate_option & | gopt,
|  | point_basic< T > & | grad_u
| ) |  | const

virtual

## transform() [2/5]

template<class T >

virtual void transform | ( | const piola< T > & | p,
|  | const point_basic< T > & | hat_u,
|  | point_basic< T > & | u
| ) |  | const

virtual

Reimplemented in piola_fem_hdiv< T >.

## inv_transform() [2/5]

template<class T >

virtual void inv_transform | ( | const piola< T > & | p,
|  | const point_basic< T > & | u,
|  | point_basic< T > & | hat_u
| ) |  | const

virtual

Reimplemented in piola_fem_hdiv< T >.

## grad_transform() [2/4]

template<class T >

virtual void grad_transform | ( | const piola< T > & | p,
|  | const point_basic< T > & | hat_u,
|  | const tensor_basic< T > & | hat_grad_u,
|  | const details::differentiate_option & | gopt,
|  | tensor_basic< T > & | grad_u
| ) |  | const

virtual

Reimplemented in piola_fem_hdiv< T >.

## transform() [3/5]

template<class T >

virtual void transform | ( | const piola< T > & | p,
|  | const tensor_basic< T > & | hat_u,
|  | tensor_basic< T > & | u
| ) |  | const

virtual

## inv_transform() [3/5]

template<class T >

virtual void inv_transform | ( | const piola< T > & | p,
|  | const tensor_basic< T > & | u,
|  | tensor_basic< T > & | hat_u
| ) |  | const

virtual

## grad_transform() [3/4]

template<class T >

virtual void grad_transform | ( | const piola< T > & | p,
|  | const tensor_basic< T > & | hat_u,
|  | const tensor3_basic< T > & | hat_grad_u,
|  | const details::differentiate_option & | gopt,
|  | tensor3_basic< T > & | grad_u
| ) |  | const

virtual

## transform() [4/5]

template<class T >

virtual void transform | ( | const piola< T > & | p,
|  | const tensor3_basic< T > & | hat_u,
|  | tensor3_basic< T > & | u
| ) |  | const

virtual

## inv_transform() [4/5]

template<class T >

virtual void inv_transform | ( | const piola< T > & | p,
|  | const tensor3_basic< T > & | u,
|  | tensor3_basic< T > & | hat_u
| ) |  | const

virtual

## grad_transform() [4/4]

template<class T >

virtual void grad_transform | ( | const piola< T > & | p,
|  | const tensor3_basic< T > & | hat_u,
|  | const tensor4_basic< T > & | hat_grad_u,
|  | const details::differentiate_option & | gopt,
|  | tensor4_basic< T > & | grad_u
| ) |  | const

virtual

## transform() [5/5]

template<class T >

virtual void transform | ( | const piola< T > & | p,
|  | const tensor4_basic< T > & | hat_u,
|  | tensor4_basic< T > & | u
| ) |  | const

virtual

## inv_transform() [5/5]

template<class T >

virtual void inv_transform | ( | const piola< T > & | p,
|  | const tensor4_basic< T > & | u,
|  | tensor4_basic< T > & | hat_u
| ) |  | const

virtual

The documentation for this class was generated from the following file:

- /build/rheolef-mDkPTY/rheolef-7.2/fem/lib/piola_fem.h